﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.WeimoCube.Model
{
  /// <summary>
  /// 配方编号数据类型 下拉框实体
  /// </summary>
  public class RecipeNumberDataType
  {
    /// <summary>
    /// id
    /// </summary>
    public int ID { get; set; }
    /// <summary>
    /// 数据类型名称显示
    /// </summary>
    public string DataName { get; set; }
  }

  /// <summary>
  /// 数据格式 下拉框实体
  /// </summary>
  public class FormulaNumberDataFormat
  {
    /// <summary>
    /// id
    /// </summary>
    public int FormatID { get; set; }
    /// <summary>
    /// 数据格式名称显示
    /// </summary>
    public string DataFormatName { get; set; }
  }


  public enum DirectionType : int
  {
    Byte = 0,
    Int = 1,
    Uint = 2,
    Short = 3,
    Ushort = 4,
    Float = 5,
    String = 6,
    Bool = 7,
    Double=8,
  }

}
