﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Markup;

namespace BPA.WeimoCube.Common
{
  /// <summary>
  /// 配置ip和端口实体
  /// </summary>
  public class Config
  {/// <summary>
  /// ip地址
  /// </summary>
    public string ModbusTcpIP { get; set; }
    /// <summary>
    /// 端口号
    /// </summary>
    public int ModbusTcpPort { get; set; }
    /// <summary>
    /// 文件保存路径
    /// </summary>
    public string LogPath { get; set; }
    /// <summary>
    /// 读取数据长度
    /// </summary>
    public ushort ReadDataLength { get; set; }
    /// <summary>
    /// 写入数据长度
    /// </summary>
    public int WriteDataLength { get; set; }
    /// <summary>
    /// 配方编号地址
    /// </summary>
    public string RecipeNumberAddress { get; set; }

    /// <summary>
    /// 配方编号数据类型id
    /// </summary>
    public int RecipeDataID { get; set; }
    /// <summary>
    /// 配方编号数据格式Id
    /// </summary>
    public int DataFormulasID { get; set; }
    /// <summary>
    /// 显示订单编号地址
    /// </summary>
    public string DisplayOrderNumberAddress { get; set; }

    /// <summary>
    /// 显示订单编号数据类型ID
    /// </summary>
    public int OrderNumberTypeID { get; set; }
    /// <summary>
    /// 显示订单编号数据格式ID
    /// </summary>
    public int OrderNumberDataFormat { get; set; }
    /// <summary>
    /// 写入编号地址
    /// </summary>
    public string WriteNumberAddress { get; set; }
    /// <summary>
    /// 启动配料地址
    /// </summary>
    public string StartIngredientAddress { get; set; }
    /// <summary>
    /// 配料完成地址
    /// </summary>
    public string IngredientCompletionAddress { get; set; }
    /// <summary>
    /// 设备状态地址
    /// </summary>
    public string DeviceStatusAddress { get; set; }
    /// <summary>
    /// 信息错误地址
    /// </summary>
    public string InformationErrorAddress { get; set; }

  }
}
