﻿using CommonServiceLocator;
using GalaSoft.MvvmLight.Ioc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.WeimoCube.ViewModels
{
  public class ViewModelLocator
  {
    public ViewModelLocator()
    {
      // 容器的初始化
      ServiceLocator.SetLocatorProvider(() => SimpleIoc.Default);

      // 注册主窗体视图模型
      SimpleIoc.Default.Register<MainWindowViewModel>();

    }

    public MainWindowViewModel MainViewModel { get => ServiceLocator.Current.GetInstance<MainWindowViewModel>(); }

  }
}
