﻿using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace BPA.WeimoCube
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
      //最大化时 页面高度为屏幕高度
      this.MaxHeight = SystemParameters.PrimaryScreenHeight;
    }
    private void Button_Click(object sender, RoutedEventArgs e)
    {
      if (System.Windows.MessageBox.Show("是否确定退出系统？", "提示", System.Windows.MessageBoxButton.YesNo, System.Windows.MessageBoxImage.Question) == System.Windows.MessageBoxResult.Yes)
      {
        Button button = sender as Button;
      if (button != null && button.Command != null && button.Command.CanExecute(null))
      {
        // 首先执行绑定的Command
        button.Command.Execute(null);


      }
        Application.Current.Shutdown();// 关闭应用程序并终止所有实例
        Environment.Exit(0);
        //var w = Window.GetWindow(close);   // 获取当前窗体
        //w.Close();

      }
    }
  }
}